curl --request GET \
--url https://api.creem.io/v1/checkouts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creem.io/v1/checkouts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creem.io/v1/checkouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"mode": "test",
"object": "<string>",
"status": "completed",
"product": "<string>",
"request_id": "<string>",
"units": 1,
"custom_price": 1500,
"order": {
"id": "<string>",
"mode": "test",
"object": "<string>",
"product": "<string>",
"amount": 2000,
"currency": "USD",
"status": "pending",
"type": "recurring",
"created_at": "2023-09-13T00:00:00Z",
"updated_at": "2023-09-13T00:00:00Z",
"customer": "<string>",
"transaction": "tx_1234567890",
"discount": "dis_1234567890",
"sub_total": 1800,
"tax_amount": 200,
"discount_amount": 100,
"amount_due": 1900,
"amount_paid": 1900,
"fx_amount": 15,
"fx_currency": "EUR",
"fx_rate": 1.2,
"affiliate": "<string>"
},
"subscription": "<string>",
"customer": "<string>",
"custom_fields": [
{
"type": "text",
"key": "<string>",
"label": "<string>",
"optional": true,
"text": {
"max_length": 123,
"minimum_length": 123,
"value": "<string>"
},
"checkbox": {
"label": "<string>",
"value": true
}
}
],
"checkout_url": "<string>",
"success_url": "https://example.com/return",
"license_keys": [
{
"id": "<string>",
"mode": "test",
"object": "<string>",
"product_id": "prod_abc123",
"status": "active",
"key": "ABC123-XYZ456-XYZ456-XYZ456",
"activation": 5,
"created_at": "2023-09-13T00:00:00Z",
"activation_limit": 1,
"expires_at": "2023-09-13T00:00:00Z",
"instance": {
"id": "<string>",
"mode": "test",
"object": "license-instance",
"name": "My Customer License Instance",
"status": "active",
"created_at": "2023-09-13T00:00:00Z"
}
}
],
"feature": {
"id": "feat_abc123",
"description": "Get access to the full course materials.",
"type": "licenseKey",
"private_note": "Thank you for your purchase! Here is your access code: XYZ123",
"file": {
"files": [
{
"id": "file_abc123",
"file_name": "ebook.pdf",
"url": "https://storage.creem.io/files/ebook.pdf",
"type": "application/pdf",
"size": 1024000
}
]
},
"license_key": {
"id": "<string>",
"mode": "test",
"object": "<string>",
"product_id": "prod_abc123",
"status": "active",
"key": "ABC123-XYZ456-XYZ456-XYZ456",
"activation": 5,
"created_at": "2023-09-13T00:00:00Z",
"activation_limit": 1,
"expires_at": "2023-09-13T00:00:00Z",
"instance": {
"id": "<string>",
"mode": "test",
"object": "license-instance",
"name": "My Customer License Instance",
"status": "active",
"created_at": "2023-09-13T00:00:00Z"
}
},
"customer_credits": {
"amount": "100",
"unit_label": "tokens",
"bucket_name": "images"
},
"license": {
"id": "<string>",
"mode": "test",
"object": "<string>",
"product_id": "prod_abc123",
"status": "active",
"key": "ABC123-XYZ456-XYZ456-XYZ456",
"activation": 5,
"created_at": "2023-09-13T00:00:00Z",
"activation_limit": 1,
"expires_at": "2023-09-13T00:00:00Z",
"instance": {
"id": "<string>",
"mode": "test",
"object": "license-instance",
"name": "My Customer License Instance",
"status": "active",
"created_at": "2023-09-13T00:00:00Z"
}
}
},
"metadata": {
"userId": "user_123",
"visitCount": 42,
"lastVisit": "2023-04-01"
},
"discount": {
"id": "dis_3e6Z6TzvHKdsjEgXnGDEp0",
"discountCode": "HOLIDAY2024",
"name": "<string>",
"type": "percentage",
"amount": 123,
"duration": "forever",
"durationInMonths": 123
}
}Retrieve a checkout session
Retrieve details of a checkout session by ID. View status, customer info, and payment details.
Authorizations
API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.
Query Parameters
The ID of the checkout session to retrieve.
"chk_1234567890"
Response
Successfully retrieved the checkout session
Unique identifier for the object.
String representing the environment.
test, prod, sandbox String representing the object's type. Objects of the same type share the same value.
Status of the checkout.
pending, processing, completed, expired "completed"
The product associated with the checkout session.
Identify and track each checkout request.
The number of units for the of the product.
The per-unit price override (in cents, product currency) this checkout was created with. Only present when the checkout was created with a custom_price. One-time payment products only.
1500
The order associated with the checkout session.
Show child attributes
Show child attributes
The subscription associated with the checkout session.
The customer associated with the checkout session.
Additional information collected from your customer during the checkout process.
Show child attributes
Show child attributes
The URL to which the customer will be redirected to complete the payment.
The URL to which the user will be redirected after the checkout process is completed.
"https://example.com/return"
License keys issued for the order.
Show child attributes
Show child attributes
DEPRECATED: Use license_keys instead. Features issued for the order.
Show child attributes
Show child attributes
Metadata for the checkout in the form of key-value pairs
{
"userId": "user_123",
"visitCount": 42,
"lastVisit": "2023-04-01"
}
The discount applied to the checkout, if any.
Show child attributes
Show child attributes